> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # User authentication > User authentication. ## OpenAPI ````json POST /v1/sys/auth { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/sys/auth": { "post": { "tags": [ "Auth" ], "summary": "User authentication", "description": "User authentication.", "operationId": "authenticateUser", "requestBody": { "$ref": "#/components/requestBodies/AuthRequest" }, "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AuthResponse" } } } } }, "x-auth-resource": "NoAuth" } } }, "components": { "requestBodies": { "AuthRequest": { "description": "Request to authenticate.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AuthRequest" } } }, "x-bodyName": "body" } }, "schemas": { "AuthResponse": { "type": "object", "properties": { "access_token": { "type": "string", "description": "Bearer token to be used to authenticate to other APIs." }, "session_info": { "$ref": "#/components/schemas/SessionInfo" } } }, "AuthRequest": { "required": [ "oauth_auth_code" ], "type": "object", "properties": { "oauth_auth_code": { "$ref": "#/components/schemas/OauthCodeData" } } }, "SessionInfo": { "required": [ "subject_id", "session_expires_at", "session_token_expires_at" ], "type": "object", "properties": { "subject_id": { "type": "string", "format": "uuid" }, "session_expires_at": { "type": "integer", "description": "Timestamp of when session will expire.", "format": "int64" }, "session_token_expires_at": { "type": "integer", "description": "Timestamp of when session token will expire.", "format": "int64" }, "selected_account_id": { "type": "string", "description": "The selected account ID, if one is selected.", "format": "uuid" } } }, "OauthCodeData": { "required": [ "idp_id", "code" ], "type": "object", "properties": { "idp_id": { "type": "string", "format": "binary" }, "code": { "type": "string" }, "email": { "type": "string" } } } } } } ````